<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <!-- JQuery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    
  

    <title>Accordion</title>
  </head>
  <body style="background-color: dodgerblue;" id="co">

    <h1 id="do" style="font-style: normal; font-family: 'Times New Roman', Times, serif;">Accordion Story 8</h1> <br>
    <div class="accordion" id="accordionExample">
        
        <div class="card" id="headingOne" style="border-color: black;">
          <div class="card-header" style="background-color: rgb(136, 42, 136);" id="acc1">
            <h2 class="mb-0">
              <button id="head1" style="color: red;" class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                Current Activities
              </button>
              <div class="btn-group" style="float:right">
                <button class="btn btn-success" id="up1" onclick="up1()">↑</button>
                <button class="btn btn-success" id="down1" onclick="down1()">↓</button>
              </div>
            </h2>
          </div>
          <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
            <div class="card-body">
                <ul>
                    <li>Watching Youtube</li>
                    <li>Lie Down</li>
                  </ul>
            </div>
          </div>
        </div>

        <div class="card" id="headingTwo" style="border-color: black;">
          <div class="card-header" style="background-color: rgb(136, 42, 136);" id="acc2">
            <h2 class="mb-0">
              <button id="head2" style="color: red;" class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                Organizational/Committee
              </button>
              <div class="btn-group" style="float:right">
                <button class="btn btn-success" id="up2" onclick="up2()">↑</button>
                <button class="btn btn-success" id="down2" onclick="down2()">↓</button>
              </div>
            </h2>
          </div>
          <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
            <div class="card-body">
                <ul>
                    <li>None</li>
                  </ul> 
            </div>
          </div>
        </div>

        <div class="card" id="headingThree" style="border-color: black;">
          <div class="card-header" style="background-color: rgb(136, 42, 136);" id="acc3">
            <h2 class="mb-0">
              <button id="head3" style="color: red;" class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                Experience
              </button>
              <div class="btn-group" style="float:right">
                <button class="btn btn-success" id="up3" onclick="up3()">↑</button>
                <button class="btn btn-success" id="down3" onclick="down3()">↓</button>
              </div>
            </h2>
          </div>
          <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
            <div class="card-body">
                <ul>
                    <li>Joined Team Building Workshops </li>
                  </ul> 
            </div>
          </div>
        </div>

        <div class="card" id="headingFour" style="border-color: black;">
            <div class="card-header" style="background-color: rgb(136, 42, 136);" id="acc4">
              <h2 class="mb-0">
                <button id="head4" style="color: red;" class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseFour" aria-expanded="false" aria-controls="collapseFour">
                  Achievements
                </button>
                <div class="btn-group" style="float:right">
                    <button class="btn btn-success" id="up4" onclick="up4()">↑</button>
                    <button class="btn btn-success" id="down4" onclick="down4()">↓</button>
                  </div>
              </h2>
            </div>
            <div id="collapseFour" class="collapse" aria-labelledby="headingFour" data-parent="#accordionExample">
              <div class="card-body">
                <ul>
                    <li>Getting Merit Card in Highschool</li>
                  </ul> 
              </div>
            </div>
          </div>
      </div>

      <div>
        <button class="btn btn-success" id="theme1" onclick="change1()">Theme 1</button>
        <button class="btn btn-success" id="theme2" onclick="change2()">Theme 2</button>
      </div>
      <h3>Press Theme 1 for original theme and Theme 2 for new theme</h3>

    <!-- Optional JavaScript -->
    <!--  then Popper.js, then Bootstrap JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <script type="text/javascript">

        function up1() {
            var currCard = $("#headingOne");
            currCard.prev().insertAfter(currCard)
        }
        function down1() {
        var currCard = $("#headingOne");
        currCard.next().insertBefore(currCard)
        }

        function up2() {
            var currCard = $("#headingTwo");
            currCard.prev().insertAfter(currCard)
        }
        function down2() {
        var currCard = $("#headingTwo");
        currCard.next().insertBefore(currCard)
        }

        function up3() {
            var currCard = $("#headingThree");
            currCard.prev().insertAfter(currCard)
        }
        function down3() {
        var currCard = $("#headingThree");
        currCard.next().insertBefore(currCard)
        }

        function up4() {
        var card = $("#headingFour");
        card.prev().insertAfter(card)
      }
      function down4() {
        var card = $("#headingFour");
        card.next().insertBefore(card)
      }
      function change1(){
        $("#co").css("background-color","dodgerblue");
        $("#acc1").css("background-color","rgb(136, 42, 136)");
        $("#acc2").css("background-color","rgb(136, 42, 136)");
        $("#acc3").css("background-color","rgb(136, 42, 136)");
        $("#acc4").css("background-color","rgb(136, 42, 136)");
        $("#do").css("font-style","normal");
        $("#head1").css("color","red");
        $("#head2").css("color","red");
        $("#head3").css("color","red");
        $("#head4").css("color","red");
        $("#do").css("font-family","'Times New Roman', Times, serif")}

        function change2(){
        $("#co").css("background-color","yellow");
        $("#acc1").css("background-color","orange");
        $("#acc2").css("background-color","orange");
        $("#acc3").css("background-color","orange");
        $("#acc4").css("background-color","orange");
        $("#do").css("font-style","italic");
        $("#head1").css("color","blue");
        $("#head2").css("color","blue");
        $("#head3").css("color","blue");
        $("#head4").css("color","blue");
        $("#do").css("font-family","Arial, Helvetica, sans-serif")}  
    </script>
    
  </body>
</html>